cancel
Showing results for 
Search instead for 
Did you mean: 

unable to update flash plugin

Highlighted
New Contributor

unable to update flash plugin

your plugin update site says that my Adobe Flash player plugin is out of date (version Shockwave Flash 10.3 r183). I then download and install the update (Flash Player 11.0.1.152). Everything installs without a problem...except when i go to check if my plugins are up to date, i still have Flash 10.3 r183! I am using Aurora 9.0a2(2011-10-31).

Tags (3)
4 REPLIES
Senior Contributor

Re: unable to update flash plugin

Hi joecrabs77-

It's possible that restarting Firefox may resolve this issue. After you've updated all of your plugins, a full restart Firefox is required.

On the menu bar, click on the Firefox menu and select Quit Firefox. Then start Firefox again.

Hope that helps

Shooting Star Contributor

Re: unable to update flash plugin

There are 2 versions of Adobe Flash:

  • an ActiveX version for IE only
  • a Plugin version for most other browsers including Firefox
  • On a Windows system, you should always update both individually.

You do not appear to have the current Plugin version for Firefox installed.

Install or update Adobe Flash

  1. Using Firefox, go to the Adobe Flash(player) download link and SAVE the download to your desktop so you can find it later: http://get.adobe.com/flashplayer
  2. When the download is finished, close Firefox (File > Exit OR Firefox button > Exit)
  3. Click or double-click on the file you just saved to your desktop
    • In the installation window that appears, click the box to the left of "I have read and...." to place a check mark in the box
    • The "Install" button in the lower right corner will now be highlighted, click it.
    • The installation is quick.
  4. Start Firefox and test your installation here: https://www.adobe.com/software/flash/about/
  5. Go to the same link above using IE to get the IE only version


If this reply solves your problem, please click "Solved It" next to this reply when signed-in to the forum.



Not related to your question, but...

You may need to update some plug-ins. Check your plug-ins and update as necessary:

New Contributor

Re: unable to update flash plugin

This issue is definitely not solved. Unable to install adobe flash player with firefox. Am able to enjoy my web browsing again with IE-9 and adobe flash player. Have been having problems with firefox for quite sometime, I guess since firefox has been committed to frequent releases and an attitude of we will remain on schedule no matter what. To say that the fault lies with adobe is using a 'scape goat' to cover your errors and lack of concern for the end user.

Support Forum Moderator

Re: unable to update flash plugin

Start your own thread here - https://support.mozilla.com/en-US/questions/new - and please provide the requested information.